2019-12-10 05:24 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002598WHDLoad[All Projects] Generalpublic2019-04-23 13:14
ReporterWepl 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version17.0 
Target Version18.6Fixed in Version18.6beta 
Summary0002598: problems with Spectrum EGS Gfx Card and running Picassso96 >1.36
Descriptionwith many games (most kickemu ones) games will freeze after short time
see also
http://www.amibay.com/showthread.php?t=23459
http://www.amibay.com/showthread.php?t=26562
http://www.a1k.org/forum/showthread.php?t=32398
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardSpectrum 28/24
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.0
Attached Files

-Relationships
+Relationships

-Notes

note ~0002747

Wepl (manager)

So it seems the newer Picasso96 software creates an interrupt for the Spectrum card which requires acknowledge and will therefore not work with WHDLoad games which use this interrupt (e.g. kickemu games).

According to the changelog the interrupt has been added in release 1.36:
Quote:
Changes in 1.36:
- This time PhotoGenics really does no longer open 2 color screens )
- Fixed p96CloseScreen bug which resulted in MungWall hits
- Fixed icon paint error in planar modes (BOBs with mask)
- Retina BLT Z3: remaining 24 bit panning problem fixed
- Changed the way layers.library handles Picasso96 PIP windows
- Spectrum and Piccolo boards now support interupts
- Reduced maximum polling time if waiting for a vertical retrace. This
will solve problems with DPMS on Cirrus GD542x based boards, which do
not generate display timings in certain blanking levels
- PicassoIV: merged API support for upcoming add-on modules
- Pixel64: fixed board driver setup (color palette routines)
There is nothing WHDLoad can do about.
Maybe there is option to unload the gfx card driver before WHDLoad and load it afterwards?

note ~0006779

Wepl (manager)

Last edited: 2019-04-23 13:14

View 2 revisions

the problem should be solved in 18.6 where WHDLoad disables the p96 interrupts while installed program is running

+Notes

-Issue History
Date Modified Username Field Change
2012-06-13 22:31 Wepl New Issue
2012-06-13 22:32 Wepl Note Added: 0002747
2012-06-13 22:33 Wepl Description Updated View Revisions
2012-06-13 22:38 Wepl Description Updated View Revisions
2012-06-17 15:59 Wepl Assigned To => Wepl
2012-06-17 15:59 Wepl Status new => assigned
2013-10-18 16:41 Wepl Assigned To Wepl =>
2019-04-18 18:26 Wepl Fixed in Version => 18.6beta
2019-04-18 18:26 Wepl Target Version => 18.6
2019-04-18 18:28 Wepl Note Added: 0006779
2019-04-18 18:28 Wepl Assigned To => Wepl
2019-04-18 18:28 Wepl Status assigned => resolved
2019-04-18 18:28 Wepl Resolution open => fixed
2019-04-23 13:14 Wepl Note Edited: 0006779 View Revisions
+Issue History